W(1)

NAME
w - Show who is logged on and what they are doing.

SYNOPSIS
w -[hus] [user]

DESCRIPTION
w displays information about the users currently on the machine, and their processes. The header shows, in this order, the current time, how long the system has been running, how many users are currently logged on, and the system load averages for the past 1, 5, and 15 minutes.

The following entries are displayed for each user: login name, the tty name, remote hostname, login time, idle time, JCPU, PCPU, and the command line of their current process.

The JCPU time is the time used by all processes and their children, attached to the tty. The PCPU time is the time used by the current process.

COMMAND-LINE OPTIONS

-h  Don't print the header.

-u  Ignores the username while figuring out the current process and cpu times. To demonstrate this, do a "su" and do a "w" and a "w -u".

-s  Use the short format. Don't print the login time, remote hostname, JCPU or PCPU times.

user
    Show information about the specified user only.

FILES
/etc/utmp -- information about who is currently logged on /proc -- process information

SEE ALSO
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTHORS
w was written by Steve "Mr. Bassman" Bryant (bassman@hpbbi30.bbn.hp.com), with certain routines lifted from the original w by Larry Greenfield (greenfie@gauss.rutgers.edu) and Michael K. Johnson (johnsonm@stolaf.edu).